Table of Contents

Class: _Win32Waker | Twisted-0.17.4/twisted/internet/main.py
--- | ---

### I am a workaround for the lack of pipes on win32.

I am a pair of connected sockets which can wake up the main loop from another thread.

Base Classes |
--- | ---
styles.Ephemeral

Methods |
--- | ---
__init__ doRead wakeUp
| __init__

    __init__ ( self )

Initialize.

| doRead

    doRead ( self )

Read some data from my connection.

| wakeUp

    wakeUp ( self )

Send a byte to my connection.

Table of Contents

This document was automatically generated on Sat Apr 20 01:30:49 2002 by HappyDoc version 2.0